Bug 237824 - Wrong init script
Summary: Wrong init script
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bootparamd (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ondrej Dvoracek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 237814
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-25 15:22 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 13:20:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-04-25 15:22:21 UTC
+++ This bug was initially created as a clone of Bug #237814 +++

Description of problem:
Following code returns 0 when the script is run even when the service is not
started.
[ -f /etc/bootparams ] || exit 0

# Check that networking is up.
if [ ${NETWORKING} = "no" ]
then
        exit 0
fi
It also forbids the correct invocation of the status parameter. Also the return
code for unknown request to the script is not 1 but 3...


Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. service network stop
2. service bootparamd status
3. echo $?
  
Actual results:
0

Expected results:
status of the service

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 Ondrej Dvoracek 2007-05-30 13:19:43 UTC
The init script was corrected.


Note You need to log in before you can comment on or make changes to this bug.